22.1设置环境

目标

要使用Project Firefly,您需要在本地机器上安装某些工具。

所需工具

  • NodeJS (至少v10)。还应将npm一起安装。 我们建议使用nvm管理您计算机上的NodeJS安装和版本。

  • Adobe I/O

安装NodeJS

  • 请访问https://nodejs.org。
  • 使用现成的基于操作系统的安装程序在您的计算机上安装NodeJS。

DownloadNodeJS

安装Adobe I/OCLI

新安装

安装​Adobe I/OCLI

  • 在您的操作系统上打开命令行或终端窗口:
  • Execute % npm install -g @adobe/aio-cli

这将在您的计算机上安装Adobe I/OCLI。

更新现有安装

如果您的本地计算机上已有Adobe I/OCLI:

  • 请确保已安装最新版Adobe I/OCLI。
    对于Adobe I/OCLI,您可以通过
    % aio -v


% npm show @adobe/aio-cli version

AdobeIOU更新

在以上示例中,报告的Adobe I/O版本为3.5.0,而npm显示有更新版本(3.7.0)可用。 编写此启用模块时的当前版本为5.0.1,但请确保根据以上说明检查最新版本。

  • 如果您的Adobe I/OCLI已过时,请运行
    % npm install -g @adobe/aio-cli

您将看到如下输出。

aio-output

  • 要确保所有核心插件也处于更新状态,请运行
    % aio update

系统会提示您是否要更新插件。 响应yY

aio-update-plugins

您现在已在计算机上完成设置Adobe I/OCLI和基础NodeJS。


意:除了检查Adobe I/OCLI上的版本外,只要更新新版本的Adobe I/OCLI,您就会看到如下消息。此消息在新版本发布后的7天内有效。

› Warning: @adobe/aio-cli update available from 3.3.0 to 3.4.1.
›   Run npm install -g @adobe/aio-cli to update.

您已完成此练习。

下一步:22.2 Project Firefly简介

返回模块22

返回到所有模块

在此页面上